<?php
    require ("./src/autoload.php");
    //header('Content-type: application/json; charset=utf-8');

    $reniec = new \Reniec\Reniec();
	
	$dni = "45841369";
	
    $persona = $reniec->search( $dni );
	
	if( $persona->success != false ) // si la busqueda es exitosa
	{
		echo "DNI: " . $persona->result->DNI . "-" . $persona->result->CodVerificacion . "<br>";
		echo "Nombre: " . $persona->result->Nombre . "<br>";
		echo "Apellido Paterno: " . $persona->result->Paterno . "<br>";
		echo "Apellido Materno: " . $persona->result->Materno . "<br>";

		$datospersona = array('dni' => $persona->result->DNI,'nombre'=>$persona->result->Nombre,'apepaterno'=>$persona->result->Paterno,'apematerno'=>$persona->result->Materno,"code"=>"íñó");
		echo json_encode($datospersona,JSON_PRETTY_PRINT);

	}
	else // en caso de no encontrar resultados
	{
		echo $persona->msg;
	}
?>